> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/ubersicht-der-geopard-api-anfragen/notizen-pins/25.-mutation-an-field-angehangte-note-speichern.md).

# 25. Mutation: an "Field" angehängte "Note" speichern

Diese Mutation ermöglicht es Ihnen, eine Notiz an ein angegebenes Feld anzuhängen.

* Eine Notiz kann über ihre eindeutige Kennung mit dem Feld verknüpft werden `fieldUuid`.&#x20;
* Die Koordinate der Notiz kann mit dem `centroid` Attribut gesetzt werden, welches definierte `latitude` und `longitude` Werte erfordert.&#x20;
* Der Typ der Notiz kann mit dem `Typ` Attribut angegeben werden, mit erlaubten Werten `PLANNED` oder `REAL`.&#x20;
* Die Beschreibung der Notiz kann mittels des `comment` Attributs bereitgestellt werden. Wenn die Beschreibung mehrzeilig sein muss, die `comment` Attribut eine Zeichenkette mit Zeilenumbruchzeichen enthalten `\\n` um Zeilen zu trennen. Zum Beispiel: `"Erste Zeile ist hier\\nZweite Zeile ist hier.\\nDritte Zeile ist hier."`.

Beispielanfragen finden Sie unten:

```graphql
Mutation SaveNoteAttachedToField {
  saveNote(input:{
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    centroid: {
      latitude: 51.177747, 
      longitude:  -113.533613
    },
    typ: PLANNED,
    comment: "Die Testnotiz, die an das Feld angehängt ist"
  } ) {
    uuid
    fieldUuid
    centroid {
      latitude
      longitude
    }
    Erstellungsdatum
    updatedDate
    Typ
    comment
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
Mutation SaveMultiLineNoteAttachedToField {
  saveNote(input:{
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    centroid: {
      latitude: 51.177747, 
      longitude:  -113.533613
    },
    typ: PLANNED,
    comment: "Erste Zeile ist hier\\nZweite Zeile ist hier.\\nDritte Zeile ist hier."
  } ) {
    uuid
    fieldUuid
    centroid {
      latitude
      longitude
    }
    Erstellungsdatum
    updatedDate
    Typ
    comment
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/ubersicht-der-geopard-api-anfragen/notizen-pins/25.-mutation-an-field-angehangte-note-speichern.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
